<?php
/**
 * @package         FireBox
 * @version         1.0.4 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FireBox\Core\Admin;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

require_once FBOX_PLUGIN_DIR . '/Inc/Framework/Inc/Admin/Includes/Activation.php';

class PluginActivation extends \Activation
{
	/**
	 * Runs once we activate the plugin.
	 * Set plugin data
	 * 
	 * @return  void
	 */
	public function start()
	{
		$this->pluginActivation();
		
		// set plugin version
		if (!get_option(firebox()->plugin_slug . '_version'))
		{
			update_option(firebox()->plugin_slug . '_version', FBOX_VERSION);
		}

		// set default plugin settings
		if (!get_option('firebox_settings'))
		{
			$settings = [
				'loadCSS' => '1',
				'loadVelocity' => '1',
				'showcopyright' => '1',
				'debug' => '0',
				'stats' => '1',
				'statsdays' => '180',
				'statsdays_custom' => '',
				'gaTrack' => '0',
				'gaID' => '',
				'gaCategory' => 'FireBox',
				'geo_license_key' => '',
				'keep_data_on_uninstall' => '1',
				'license_key' => '',
			];
			update_option('firebox_settings', $settings);
		}

		// initialize capabilities
		new Capabilities();
	}
}