<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.7
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2021 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FPFramework\Base\Assignments;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

use FPFramework\Base\Assignment;

class Tags extends Assignment
{
    /**
	 * Check if we are browsing certain tags
	 *
	 * @return bool
	 */
	public function pass()
	{
        if (!$tags = $this->value())
        {
            return;
        }

        if (empty($this->selection))
        {
            return;
        }

        foreach ($tags as $key => $value)
        {
            if (in_array($value->term_id, $this->selection))
            {
                return true;
            }
        }

		return;
    }

    /**
     *  Returns the assignment's value
     * 
     *  @return mixed Tags IDs
     */
	public function value()
	{
        if (!$page_id = \FPFramework\Helpers\WPHelper::getPageID())
        {
            return;
        }

        return wp_get_post_tags($page_id);
	}
}